#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int i=0,j=0,Ai,Bi,Xi,Yi,T[i][j];
    scanf("%d",&T);
    for (;i<T;i++)
    {
        for (;j<3;j++)
        {
            scanf("%d,%d",Ai,Bi);
            printf("%d,",T[i][j]);

        }
            printf("\n");
    }
    (1<=T)&&(T<=10000);
    Ai<pow(2,62);
    Bi<pow(2,62);
    if ((Ai==Xi*Yi)&&(Bi=Xi^Yi))
    {
        for (;i<T;i++)
    {
        for (;j<3;j++)
        {
            printf("%d,%d",Xi,Yi);
            printf("%d,",T[i][j]);

        }
            printf("\n");
    }
    }


    else
        printf("-1");





    return 0;
}